## libimobiledevice 1.1.4

=== docs/Makefile ===
# Makefile.in generated by automake 1.11.1 from Makefile.am.
# docs/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006, 2007, 2008, 2009  Free Software Foundation,
# Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



pkgdatadir = $(datadir)/libimobiledevice
pkgincludedir = $(includedir)/libimobiledevice
pkglibdir = $(libdir)/libimobiledevice
pkglibexecdir = $(libexecdir)/libimobiledevice
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = i686-suse-linux-gnu
host_triplet = i686-suse-linux-gnu
subdir = docs
DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/ac_pkg_cython.m4 \
	$(top_srcdir)/m4/ac_python_devel.m4 \
	$(top_srcdir)/m4/as-compiler-flag.m4 \
	$(top_srcdir)/m4/cython_python.m4 $(top_srcdir)/m4/libtool.m4 \
	$(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
	$(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
	$(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
AM_V_GEN = $(am__v_GEN_$(V))
am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
am__v_GEN_0 = @echo "  GEN   " $@;
AM_V_at = $(am__v_at_$(V))
am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
am__v_at_0 = @
SOURCES =
DIST_SOURCES =
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    *) f=$$p;; \
  esac;
am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
am__install_max = 40
am__nobase_strip_setup = \
  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
am__nobase_strip = \
  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
am__nobase_list = $(am__nobase_strip_setup); \
  for p in $$list; do echo "$$p $$p"; done | \
  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
    if (++n[$$2] == $(am__install_max)) \
      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
    END { for (dir in files) print dir, files[dir] }'
am__base_list = \
  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
man1dir = $(mandir)/man1
am__installdirs = "$(DESTDIR)$(man1dir)"
NROFF = nroff
MANS = $(man_MANS)
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /home/mszulecki/Software/code/libimobiledevice/missing --run aclocal-1.11
AMTAR = ${SHELL} /home/mszulecki/Software/code/libimobiledevice/missing --run tar
AM_DEFAULT_VERBOSITY = 0
AR = ar
AUTOCONF = ${SHELL} /home/mszulecki/Software/code/libimobiledevice/missing --run autoconf
AUTOHEADER = ${SHELL} /home/mszulecki/Software/code/libimobiledevice/missing --run autoheader
AUTOMAKE = ${SHELL} /home/mszulecki/Software/code/libimobiledevice/missing --run automake-1.11
AWK = gawk
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2
CPP = gcc -E
CPPFLAGS = 
CXX = g++
CXXCPP = g++ -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -g -O2
CYGPATH_W = echo
CYTHON = /usr/bin/cython
CYTHON_LIB = 
CYTHON_PLIST_INCLUDE_DIR = /usr/include/plist/cython
CYTHON_PYTHON_CPPFLAGS = -I/usr/include/python2.7
CYTHON_PYTHON_OPT = -python
CYTHON_SUB = cython
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DEV_SUB = dev
DLLTOOL = false
DSYMUTIL = 
DUMPBIN = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /usr/bin/grep -E
EXEEXT = 
FGREP = /usr/bin/grep -F
GLOBAL_CFLAGS =   -Wall -Wextra -Wmissing-declarations -Wredundant-decls -Wshadow -Wpointer-arith -Wwrite-strings -Wswitch-default -Wno-unused-parameter
GREP = /usr/bin/grep
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LD = /usr/i586-suse-linux/bin/ld
LDFLAGS = 
LFS_CFLAGS =  -D_FILE_OFFSET_BITS=64 -D_LARGE_FILES=1
LIBIMOBILEDEVICE_SO_VERSION = 3:1:0
LIBOBJS = 
LIBS = 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIPO = 
LN_S = ln -s
LTLIBOBJS = 
MAKEINFO = ${SHELL} /home/mszulecki/Software/code/libimobiledevice/missing --run makeinfo
MANIFEST_TOOL = :
MKDIR_P = /bin/mkdir -p
NM = /usr/bin/nm -B
NMEDIT = 
OBJDUMP = objdump
OBJEXT = o
OTOOL = 
OTOOL64 = 
PACKAGE = libimobiledevice
PACKAGE_BUGREPORT = nospam@nowhere.com
PACKAGE_NAME = libimobiledevice
PACKAGE_STRING = libimobiledevice 1.1.4
PACKAGE_TARNAME = libimobiledevice
PACKAGE_URL = 
PACKAGE_VERSION = 1.1.4
PATH_SEPARATOR = :
PKG_CONFIG = /usr/bin/pkg-config
PKG_CONFIG_LIBDIR = 
PKG_CONFIG_PATH = 
PYTHON = /usr/bin/python
PYTHON_CPPFLAGS = -I/usr/include/python2.7
PYTHON_EXEC_PREFIX = ${exec_prefix}
PYTHON_EXTRA_LDFLAGS = -Xlinker -export-dynamic
PYTHON_EXTRA_LIBS =  -lpthread -ldl  -lutil
PYTHON_LDFLAGS = -L/usr/lib/python2.7 -lpython2.7
PYTHON_PLATFORM = linux2
PYTHON_PREFIX = ${prefix}
PYTHON_SITE_PKG = /usr/lib/python2.7/site-packages
PYTHON_VERSION = 2.7
RANLIB = ranlib
SED = /usr/bin/sed
SET_MAKE = 
SHELL = /bin/sh
STRIP = strip
VERSION = 1.1.4
abs_builddir = /home/mszulecki/Software/code/libimobiledevice/docs
abs_srcdir = /home/mszulecki/Software/code/libimobiledevice/docs
abs_top_builddir = /home/mszulecki/Software/code/libimobiledevice
abs_top_srcdir = /home/mszulecki/Software/code/libimobiledevice
ac_ct_AR = ar
ac_ct_CC = gcc
ac_ct_CXX = g++
ac_ct_DUMPBIN = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = ${AMTAR} chof - "$$tardir"
am__untar = ${AMTAR} xf -
bindir = ${exec_prefix}/bin
build = i686-suse-linux-gnu
build_alias = 
build_cpu = i686
build_os = linux-gnu
build_vendor = suse
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = i686-suse-linux-gnu
host_alias = 
host_cpu = i686
host_os = linux-gnu
host_vendor = suse
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /home/mszulecki/Software/code/libimobiledevice/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/lib
libgcrypt_LIBS = 
libgnutls_CFLAGS = 
libgnutls_LIBS = 
libplist_CFLAGS = -I/usr/include/libxml2  
libplist_LIBS = -lplist  
libplistmm_CFLAGS = -I/usr/include/libxml2  
libplistmm_LIBS = -lplist++ -lplist  
libpthread_LIBS = -lpthread
libtasn1_CFLAGS = 
libtasn1_LIBS = 
libusbmuxd_CFLAGS =  
libusbmuxd_LIBS = -lusbmuxd  
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = ${datarootdir}/man
mkdir_p = /bin/mkdir -p
oldincludedir = /usr/include
openssl_CFLAGS =  
openssl_LIBS = -lssl -lcrypto -ldl -lz  
pdfdir = ${docdir}
pkgpyexecdir = ${pyexecdir}/libimobiledevice
pkgpythondir = ${pythondir}/libimobiledevice
prefix = /usr
program_transform_name = s,x,x,
psdir = ${docdir}
pyexecdir = ${exec_prefix}/lib/python2.7/site-packages
pythondir = ${prefix}/lib/python2.7/site-packages
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
ssl_requires = openssl >= 0.9.8
sysconfdir = ${prefix}/etc
target_alias = 
top_build_prefix = ../
top_builddir = ..
top_srcdir = ..
man_MANS = idevice_id.1 ideviceinfo.1 idevicesyslog.1 idevicebackup.1 idevicebackup2.1 ideviceimagemounter.1 idevicescreenshot.1 idevicepair.1 ideviceenterrecovery.1 idevicedate.1
EXTRA_DIST = $(man_MANS)
DISTCLEANFILES = html/* html
all: all-am

.SUFFIXES:
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
	        && { if test -f $@; then exit 0; else break; fi; }; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign docs/Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --foreign docs/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(am__aclocal_m4_deps):

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs
install-man1: $(man_MANS)
	@$(NORMAL_INSTALL)
	test -z "$(man1dir)" || $(MKDIR_P) "$(DESTDIR)$(man1dir)"
	@list=''; test -n "$(man1dir)" || exit 0; \
	{ for i in $$list; do echo "$$i"; done; \
	l2='$(man_MANS)'; for i in $$l2; do echo "$$i"; done | \
	  sed -n '/\.1[a-z]*$$/p'; \
	} | while read p; do \
	  if test -f $$p; then d=; else d="$(srcdir)/"; fi; \
	  echo "$$d$$p"; echo "$$p"; \
	done | \
	sed -e 'n;s,.*/,,;p;h;s,.*\.,,;s,^[^1][0-9a-z]*$$,1,;x' \
	      -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,' | \
	sed 'N;N;s,\n, ,g' | { \
	list=; while read file base inst; do \
	  if test "$$base" = "$$inst"; then list="$$list $$file"; else \
	    echo " $(INSTALL_DATA) '$$file' '$(DESTDIR)$(man1dir)/$$inst'"; \
	    $(INSTALL_DATA) "$$file" "$(DESTDIR)$(man1dir)/$$inst" || exit $$?; \
	  fi; \
	done; \
	for i in $$list; do echo "$$i"; done | $(am__base_list) | \
	while read files; do \
	  test -z "$$files" || { \
	    echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(man1dir)'"; \
	    $(INSTALL_DATA) $$files "$(DESTDIR)$(man1dir)" || exit $$?; }; \
	done; }

uninstall-man1:
	@$(NORMAL_UNINSTALL)
	@list=''; test -n "$(man1dir)" || exit 0; \
	files=`{ for i in $$list; do echo "$$i"; done; \
	l2='$(man_MANS)'; for i in $$l2; do echo "$$i"; done | \
	  sed -n '/\.1[a-z]*$$/p'; \
	} | sed -e 's,.*/,,;h;s,.*\.,,;s,^[^1][0-9a-z]*$$,1,;x' \
	      -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,'`; \
	test -z "$$files" || { \
	  echo " ( cd '$(DESTDIR)$(man1dir)' && rm -f" $$files ")"; \
	  cd "$(DESTDIR)$(man1dir)" && rm -f $$files; }
tags: TAGS
TAGS:

ctags: CTAGS
CTAGS:


distdir: $(DISTFILES)
	@list='$(MANS)'; if test -n "$$list"; then \
	  list=`for p in $$list; do \
	    if test -f $$p; then d=; else d="$(srcdir)/"; fi; \
	    if test -f "$$d$$p"; then echo "$$d$$p"; else :; fi; done`; \
	  if test -n "$$list" && \
	    grep 'ab help2man is required to generate this page' $$list >/dev/null; then \
	    echo "error: found man pages containing the \`missing help2man' replacement text:" >&2; \
	    grep -l 'ab help2man is required to generate this page' $$list | sed 's/^/         /' >&2; \
	    echo "       to fix them, install help2man, remove and regenerate the man pages;" >&2; \
	    echo "       typically \`make maintainer-clean' will remove them" >&2; \
	    exit 1; \
	  else :; fi; \
	else :; fi
	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	list='$(DISTFILES)'; \

=== debian/changelog ===
libimobiledevice (1.1.4-1ubuntu2) quantal; urgency=low

  * debian/patches/git_handle_unset_environment.patch:
    - don't segfault when the environment variable are unset (lp: #1034067)

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 05 Oct 2012 16:39:56 +0200

libimobiledevice (1.1.4-1ubuntu1) quantal; urgency=low

  * debian/rules: use --disable-openssl, we use gnutls

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 30 Jul 2012 11:38:16 +0200

libimobiledevice (1.1.4-1~quantal) quantal; urgency=low

  * Upload Debian version (which is waiting for sponsoring) to quantal

  [ Julien Lavergne ]
  * New upstream release.
  * debian/patches:
   - 00git_ios5_support.patch: Merged upstream.
   - 06_git_ios5_handle_error.patch: Merged upstream.
   - 01-libs.private.patch: Refreshed.
   - 02-add-missing-linking.patch & 03_ac_pkg_swig_m4_fixed.patch:
     Removed, not necessary since swig is not used now.
   - 04_libplist_DSO_linking.patch: Merged upstream.
   - 05_remove_gcry_need.patch: Refreshed.
   - 06_cython_detection.patch: From upstream, correctly check cython version.
   - 07_cython_0.16_check.patch: From upstream, fix building with cython 0.16. 
  * debian/control, debian/rules, debian/libimobiledevice3.*
   - Bump soname.
  * debian/control:
   - Build depends on libusbmuxd-dev (>= 1.0.8).
   - Replace build depends on swig by cython.
   - Build-depends on libplist-dev (>= 1.8-2~) for cython support. 
  * debian/libimobiledevice3.install:
   - Drop hal file, it's deprecated.
  * debian/libimobiledevice3.symbols:
   - Update.
  * debian/python-plist.install:
   - Update files installed by cython.
  * debian/rules:
   - Update location of .a and .la files.

 -- Sebastien Bacher <seb128@ubuntu.com>  Sun, 29 Jul 2012 11:31:31 +0200

=== debian/control ===
Source: libimobiledevice
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: gtkpod Maintainers <pkg-gtkpod-devel@lists.alioth.debian.org>
Uploaders: Julien Lavergne <julien.lavergne@gmail.com>
Standards-Version: 3.9.3
Build-Depends: debhelper (>= 7.0.50~),
	libgnutls-dev (>= 1.6.3),
    libusb-1.0-0-dev (>= 1.0.3) [linux-any],
	libglib2.0-dev (>= 2.14.1),
	libplist-dev (>= 1.8-2~),
	libplist++-dev (>= 0.15),
	python-all-dev (>= 2.6.6-3~),
	cython,
	libusbmuxd-dev (>= 1.0.8),
	libtasn1-3-dev (>= 1.1),
	libreadline-dev,
	python-plist,
    dh-autoreconf
X-Python-Version: >= 2.3
Homepage: http://libimobiledevice.org/
Vcs-Git: git://git.debian.org/git/pkg-gtkpod/packages/libimobiledevice.git
Vcs-Browser: http://git.debian.org/?p=pkg-gtkpod/packages/libimobiledevice.git
DM-Upload-Allowed: yes

Package: libimobiledevice3
Architecture: any
Depends: ${shlibs:Depends}, 
         ${misc:Depends},
         usbmuxd
Conflicts: libiphone0
Replaces: libiphone0, libimobiledevice1, libimobiledevice0
Description: Library for communicating with the iPhone and iPod Touch
 libimobiledevice is a library that talks the native Apple USB protocols that
 the iPhone and iPod Touch use. Unlike other projects, libimobiledevice does
 not depend on using any existing libraries from Apple.

Package: libimobiledevice-dev
Architecture: any
Section: libdevel
Depends: libimobiledevice3 (= ${binary:Version}),
         ${misc:Depends},
         libglib2.0-dev,
         libplist-dev, 
         libusbmuxd-dev,
         libgnutls-dev,
         libtasn1-3-dev
Description: Library for communicating with iPhone and iPod Touch devices
 libimobiledevice is a library that talks the native Apple USB protocols that
 the iPhone and iPod Touch use. Unlike other projects, libimobiledevice does
 not depend on using any existing libraries from Apple.
 .
 This package contains the development files.

Package: libimobiledevice3-dbg
Architecture: any
Section: debug
Priority: extra
Depends: libimobiledevice3 (= ${binary:Version}),
         ${misc:Depends}
Conflicts: libimobiledevice1-dbg, libimobiledevice0-dbg
Replaces: libimobiledevice1-dbg, libimobiledevice0-dbg
Description: Library for communicating with iPhone and iPod Touch devices
 libimobiledevice is a library that talks the native Apple USB protocols that
 the iPhone and iPod Touch use. Unlike other projects, libimobiledevice does
 not depend on using any existing libraries from Apple.
 .
 This package contains the debugging symbols.

Package: python-imobiledevice
Section: python
Architecture: any
Depends: ${shlibs:Depends}, 
         ${misc:Depends}, 
         ${python:Depends}
Provides: ${python:Provides}
Conflicts: python-libiphone, python-iphone
Replaces: python-libiphone, python-iphone
Description: Library for communicating with iPhone and iPod Touch devices
 libimobiledevice is a library that talks the native Apple USB protocols that
 the iPhone and iPod Touch use. Unlike other projects, libimobiledevice does
 not depend on using any existing libraries from Apple.
 .
 This package contains the Python bindings

Package: libimobiledevice-utils
Architecture: any
Section: utils
Depends: ${shlibs:Depends}, 
         ${misc:Depends}
Description: Library for communicating with iPhone and iPod Touch devices
 libimobiledevice is a library that talks the native Apple USB protocols that
 the iPhone and iPod Touch use. Unlike other projects, libimobiledevice does
 not depend on using any existing libraries from Apple.
 .
 This package contains utilities and examples which use libimobiledevice.

Package: libimobiledevice-doc
Architecture: all
Section: doc
Depends: libimobiledevice3 (>= ${source:Version}),
         ${misc:Depends}
Description: Library for communicating with iPhone and iPod Touch devices
 libimobiledevice is a library that talks the native Apple USB protocols that
 the iPhone and iPod Touch use. Unlike other projects, libimobiledevice does
 not depend on using any existing libraries from Apple.
 .
 This package contains the documentation for the library.

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

LDFLAGS += -Wl,--as-needed

ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
    CFLAGS += -O0
else
    CFLAGS += -O2
endif

configure_flags += \
		--prefix=/usr \
		--sysconfdir=/etc --host=$(DEB_HOST_GNU_TYPE) \
		--build=$(DEB_BUILD_GNU_TYPE) \
		--enable-dev-tools \
		--disable-openssl

%:
	dh --with python2 --with autoreconf $@

override_dh_auto_configure:
	dh_auto_configure -- 	$(configure_flags)

override_dh_install:
	#Remove .la files.
	rm -rf $(CURDIR)/debian/tmp/usr/lib/*.la
	rm -rf $(CURDIR)/debian/tmp/usr/lib/python*/*-packages/imobiledevice/*.la
	rm -rf $(CURDIR)/debian/tmp/usr/lib/python*/*-packages/*.la
	#Remove .a files from python bindings.
	rm -rf $(CURDIR)/debian/tmp//usr/lib/python*/dist-packages/imobiledevice/*.a
	rm -rf $(CURDIR)/debian/tmp//usr/lib/python*/dist-packages/*.a
	#Remove installed man pages, installed by *.manpages
	rm -f $(CURDIR)/debian/tmp/usr/share/man/man1/*.1
	dh_install --fail-missing

override_dh_strip:
	dh_strip --dbg-package=libimobiledevice3-dbg

override_dh_python2:
	# Only build for the current version of python, not all supported.
	dh_python2 --no-guessing-versions

## libimobiledevice 1.1.5

=== debian/changelog ===
libimobiledevice (1.1.5-0ubuntu2) saucy; urgency=low

  * SECURITY UPDATE: insecure /tmp usage (LP: #1164263)
    - debian/patches/CVE-2013-2142.patch: fall back to getpwuid_r instead
      of using /tmp in src/userpref.c. Added string_concat() function in
      src/Makefile.am, src/utils.c, src/utils.h.
    - added new symbol to debian/libimobiledevice4.symbols.
    - CVE-2013-2142

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 14 Aug 2013 12:43:31 -0400

libimobiledevice (1.1.5-0ubuntu1) saucy; urgency=low

  * New upstream release. (LP: #1207038)
    - soname was bumped
  * debian/control:
    - Bump minimum cython dependency
    - Don't have the -doc package depend on the library
  * Dropped patches applied in new version:
    - 06_cython_detection.patch
    - 07_cython_0.16_check.patch
    - 08_cython_0.16_fix.patch
    - git_handle_unset_environment.patch
    - git_utf8_devices_names.patch
  * debian/patches/link_against_pthread.patch:
    - Fix underlinking against pthread
  * debian/patches/git_explicitly_cast_ssl_enabled.patch:
    - Backport patch to fix build failure due to implicit conversion

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 31 Jul 2013 15:34:39 -0400

libimobiledevice (1.1.4-1ubuntu6) raring; urgency=low

  * Added missing gcrypt lib to link, fixing FTBFS.
  * Updated d/libimobiledevice3.symbols.

 -- Daniel T Chen <crimsun@ubuntu.com>  Tue, 02 Apr 2013 16:47:51 -0400

libimobiledevice (1.1.4-1ubuntu5) raring; urgency=low

  * 08_cython_0.16_fix.patch: Follow-up cython fix from Michael Bienia:
    - Mark BaseError as not inline in the .pxd file too, to match the
      definition from the .pyx file and fix the FTBFS with cython 0.17.
  * 09_use_python_config.patch: Use python-config to find the python
    include paths, and fix the build failure with multi-arched python.

 -- Adam Conrad <adconrad@ubuntu.com>  Sat, 19 Jan 2013 06:11:28 -0700

libimobiledevice (1.1.4-1ubuntu4) raring; urgency=low

  * No-change rebuild for raring to work around a Launchpad copying bug.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 17 Jan 2013 09:40:41 +0000

libimobiledevice (1.1.4-1ubuntu3) quantal-proposed; urgency=low

  * git_utf8_devices_names.patch:
    - fix incorrect naming of e.g iphone devices (lp: #1049991)

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 24 Oct 2012 12:01:08 +0200

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
 	libplist-dev (>= 1.8-2~),
 	libplist++-dev (>= 0.15),
 	python-all-dev (>= 2.6.6-3~),
-	cython,
+	cython (>= 0.17.0),
 	libusbmuxd-dev (>= 1.0.8),
 	libtasn1-3-dev (>= 1.1),
 	libreadline-dev,
@@ -24,7 +24,7 @@
 Vcs-Browser: http://git.debian.org/?p=pkg-gtkpod/packages/libimobiledevice.git
 DM-Upload-Allowed: yes
 
-Package: libimobiledevice3
+Package: libimobiledevice4
 Architecture: any
 Depends: ${shlibs:Depends}, 
          ${misc:Depends},
@@ -39,7 +39,7 @@
 Package: libimobiledevice-dev
 Architecture: any
 Section: libdevel
-Depends: libimobiledevice3 (= ${binary:Version}),
+Depends: libimobiledevice4 (= ${binary:Version}),
          ${misc:Depends},
          libglib2.0-dev,
          libplist-dev, 
@@ -53,14 +53,14 @@
  .
  This package contains the development files.
 
-Package: libimobiledevice3-dbg
+Package: libimobiledevice4-dbg
 Architecture: any
 Section: debug
 Priority: extra
-Depends: libimobiledevice3 (= ${binary:Version}),
+Depends: libimobiledevice4 (= ${binary:Version}),
          ${misc:Depends}
-Conflicts: libimobiledevice1-dbg, libimobiledevice0-dbg
-Replaces: libimobiledevice1-dbg, libimobiledevice0-dbg
+Conflicts: libimobiledevice3-dbg, libimobiledevice1-dbg, libimobiledevice0-dbg
+Replaces: libimobiledevice3-dbg, libimobiledevice1-dbg, libimobiledevice0-dbg
 Description: Library for communicating with iPhone and iPod Touch devices
  libimobiledevice is a library that talks the native Apple USB protocols that
  the iPhone and iPod Touch use. Unlike other projects, libimobiledevice does
@@ -99,8 +99,7 @@
 Package: libimobiledevice-doc
 Architecture: all
 Section: doc
-Depends: libimobiledevice3 (>= ${source:Version}),
-         ${misc:Depends}
+Depends: ${misc:Depends}
 Description: Library for communicating with iPhone and iPod Touch devices
  libimobiledevice is a library that talks the native Apple USB protocols that
  the iPhone and iPod Touch use. Unlike other projects, libimobiledevice does

=== debian/rules ===
--- 
+++ 
@@ -37,7 +37,7 @@
 	dh_install --fail-missing
 
 override_dh_strip:
-	dh_strip --dbg-package=libimobiledevice3-dbg
+	dh_strip --dbg-package=libimobiledevice4-dbg
 
 override_dh_python2:
 	# Only build for the current version of python, not all supported.

## libimobiledevice 1.1.5+git20140313.bafe6a9e

=== debian/changelog ===
libimobiledevice (1.1.5+git20140313.bafe6a9e-0ubuntu1.1) trusty-security; urgency=medium

  * SECURITY UPDATE: incorrectly bound listening socket
    - debian/patches/CVE-2016-5104.patch: use INADDR_LOOPBACK in
      common/socket.c.
    - CVE-2016-5104

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 02 Jun 2016 09:52:41 -0400

libimobiledevice (1.1.5+git20140313.bafe6a9e-0ubuntu1) trusty; urgency=medium

  [ Matthias Niess ]
  * Replace a duplicate 'backup' util man page with the one for 'crashreport'

  [ Timo Jyrinki ]
  * New upstream snapshot. (LP: #1207812)
  * Drop patches include in the upstream snapshot:
    - debian/patches/CVE-2013-2142.patch
    - debian/patches/git_explicitly_cast_ssl_enabled.patch
  * Drop the python patch, new upstream method seems to work:
    - debian/patches/09_use_python_config.patch
  * Refreshed remaining patches:
    - debian/patches/01-libs.private.patch
    - debian/patches/02-fix-link-errors.patch
  * Drop libimobiledevice-doc, the git does not include html documentation
  * Updated libimobiledevice4.symbols 
  * Add missing man page for the 'idevicename' util

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Fri, 14 Mar 2014 08:44:15 +0200

libimobiledevice (1.1.5-2build1) trusty; urgency=medium

  * Rebuild for libtasn1-6 transition.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 27 Feb 2014 11:00:31 +0100

libimobiledevice (1.1.5-2) unstable; urgency=low

  * [0052e46] Drop hal fdi file.
    That stuff doesn't work anymore. (Closes: #728151)

 -- Chow Loong Jin <hyperair@debian.org>  Wed, 30 Oct 2013 01:42:21 +0800

libimobiledevice (1.1.5-1) experimental; urgency=low

  * Team upload.
  * Ack NMU from Andreas Metzler
  * [1282e33] Imported Upstream version 1.1.5 (Closes: #709369):
    - Adapt to libusbmuxd API changes (Closes: #682275)
  * [27231df] Refresh or drop patches
    - 00git_ios5_support.patch: Drop, applied upstream
    - 01-libs.private.patch: Refresh
    - 02-add-missing-linking.patch: Drop, applied upstream
    - 03_ac_pkg_swig_m4_fixed.patch: Drop, no longer relevant
    - 04_libplist_DSO_linking.patch: Drop, applied upstream
    - 05_remove_gcry_need.patch: Drop, no longer relevant
  * [0f497a0] Drop --host and --build arguments from configure.
    This is already applied by dh_auto_configure automatically.
  * [a370ab0] Reindent build-depends and drop trailing whitespace
  * [a3fffe5] Bump dh compat to 9 for buildflags
  * [40725ee] Enable multi-arch
  * [65d74c4] Move dh --with parameter after $@
  * [596a2b7] Update command for removing *.la for multiarch path
  * [979998b] Update .manpages file for new utilities
  * [3c37d78] Don't ship embedded jquery.js

 -- Chow Loong Jin <hyperair@debian.org>  Mon, 28 Oct 2013 23:01:08 +0800

libimobiledevice (1.1.5-0.2) experimental; urgency=low

  * Non-maintainer upload.
  * libimobiledevice4-dbg replaces/conflicts libimobiledevice2-dbg.
    Closes: #726752

 -- Andreas Metzler <ametzler@debian.org>  Sat, 19 Oct 2013 14:42:15 +0200

libimobiledevice (1.1.5-0.1) experimental; urgency=low

  * Non-maintainer upload.
  * Sync from Ubuntu.
    + New upstream version. Closes: #709369
    + Includes fix for CVE-2013-2142: insecure /tmp usage. Closes: #710885
    + Compatible with newer libusbmuxd. Closes: #682275
    + New upstream version does not use gnutls_*_set_priority functions
      anymore. Closes: #624066
    + Package builds. Closes: #713689
    + Does not depend on libusbmuxd1. Closes: #725637
  * configure with --disable-silent-rules
  * Delete ubuntu-revision on symbol string_concat@Base in 
    debian/libimobiledevice4.symbols.
  * Update authors and download location in debian/copyright.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 12 Oct 2013 18:49:30 +0200

=== debian/control ===
--- 
+++ 
@@ -4,20 +4,20 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: gtkpod Maintainers <pkg-gtkpod-devel@lists.alioth.debian.org>
 Uploaders: Julien Lavergne <julien.lavergne@gmail.com>
-Standards-Version: 3.9.3
-Build-Depends: debhelper (>= 7.0.50~),
-	libgnutls-dev (>= 1.6.3),
-    libusb-1.0-0-dev (>= 1.0.3) [linux-any],
-	libglib2.0-dev (>= 2.14.1),
-	libplist-dev (>= 1.8-2~),
-	libplist++-dev (>= 0.15),
-	python-all-dev (>= 2.6.6-3~),
-	cython (>= 0.17.0),
-	libusbmuxd-dev (>= 1.0.8),
-	libtasn1-3-dev (>= 1.1),
-	libreadline-dev,
-	python-plist,
-    dh-autoreconf
+Standards-Version: 3.9.4.0
+Build-Depends: debhelper (>= 9),
+               libgnutls-dev (>= 1.6.3),
+               libusb-1.0-0-dev (>= 1.0.3) [linux-any],
+               libglib2.0-dev (>= 2.14.1),
+               libplist-dev (>= 1.8-2~),
+               libplist++-dev (>= 1.8-2~),
+               python-all-dev (>= 2.6.6-3~),
+               cython (>= 0.17.0),
+               libusbmuxd-dev (>= 1.0.8),
+               libtasn1-3-dev (>= 1.1),
+               libreadline-dev,
+               python-plist (>= 1.8-2~),
+               dh-autoreconf
 X-Python-Version: >= 2.3
 Homepage: http://libimobiledevice.org/
 Vcs-Git: git://git.debian.org/git/pkg-gtkpod/packages/libimobiledevice.git
@@ -26,7 +26,9 @@
 
 Package: libimobiledevice4
 Architecture: any
-Depends: ${shlibs:Depends}, 
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${shlibs:Depends},
          ${misc:Depends},
          usbmuxd
 Conflicts: libiphone0
@@ -38,11 +40,12 @@
 
 Package: libimobiledevice-dev
 Architecture: any
+Multi-Arch: foreign
 Section: libdevel
 Depends: libimobiledevice4 (= ${binary:Version}),
          ${misc:Depends},
          libglib2.0-dev,
-         libplist-dev, 
+         libplist-dev,
          libusbmuxd-dev,
          libgnutls-dev,
          libtasn1-3-dev
@@ -55,12 +58,16 @@
 
 Package: libimobiledevice4-dbg
 Architecture: any
+Multi-Arch: same
 Section: debug
 Priority: extra
+Pre-Depends: ${misc:Pre-Depends}
 Depends: libimobiledevice4 (= ${binary:Version}),
          ${misc:Depends}
-Conflicts: libimobiledevice3-dbg, libimobiledevice1-dbg, libimobiledevice0-dbg
-Replaces: libimobiledevice3-dbg, libimobiledevice1-dbg, libimobiledevice0-dbg
+Conflicts: libimobiledevice3-dbg, libimobiledevice2-dbg,
+  libimobiledevice1-dbg, libimobiledevice0-dbg
+Replaces: libimobiledevice3-dbg, libimobiledevice2-dbg,
+  libimobiledevice1-dbg, libimobiledevice0-dbg
 Description: Library for communicating with iPhone and iPod Touch devices
  libimobiledevice is a library that talks the native Apple USB protocols that
  the iPhone and iPod Touch use. Unlike other projects, libimobiledevice does
@@ -71,8 +78,8 @@
 Package: python-imobiledevice
 Section: python
 Architecture: any
-Depends: ${shlibs:Depends}, 
-         ${misc:Depends}, 
+Depends: ${shlibs:Depends},
+         ${misc:Depends},
          ${python:Depends}
 Provides: ${python:Provides}
 Conflicts: python-libiphone, python-iphone
@@ -87,7 +94,7 @@
 Package: libimobiledevice-utils
 Architecture: any
 Section: utils
-Depends: ${shlibs:Depends}, 
+Depends: ${shlibs:Depends},
          ${misc:Depends}
 Description: Library for communicating with iPhone and iPod Touch devices
  libimobiledevice is a library that talks the native Apple USB protocols that
@@ -96,13 +103,3 @@
  .
  This package contains utilities and examples which use libimobiledevice.
 
-Package: libimobiledevice-doc
-Architecture: all
-Section: doc
-Depends: ${misc:Depends}
-Description: Library for communicating with iPhone and iPod Touch devices
- libimobiledevice is a library that talks the native Apple USB protocols that
- the iPhone and iPod Touch use. Unlike other projects, libimobiledevice does
- not depend on using any existing libraries from Apple.
- .
- This package contains the documentation for the library.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

configure_flags += \
		--prefix=/usr \
		--sysconfdir=/etc \
		--enable-dev-tools \
		--disable-openssl \
		--disable-silent-rules

%:
	dh $@ --with=python2,autoreconf

override_dh_auto_configure:
	dh_auto_configure -- 	$(configure_flags)

override_dh_install:
	#Remove .la files.
	rm -rf $(CURDIR)/debian/tmp/usr/lib/*/*.la
	rm -rf $(CURDIR)/debian/tmp/usr/lib/python*/*-packages/imobiledevice/*.la
	rm -rf $(CURDIR)/debian/tmp/usr/lib/python*/*-packages/*.la
	#Remove .a files from python bindings.
	rm -rf $(CURDIR)/debian/tmp//usr/lib/python*/dist-packages/imobiledevice/*.a
	rm -rf $(CURDIR)/debian/tmp//usr/lib/python*/dist-packages/*.a
	#Remove installed man pages, installed by *.manpages
	rm -f $(CURDIR)/debian/tmp/usr/share/man/man1/*.1
	dh_install --fail-missing

override_dh_strip:
	dh_strip --dbg-package=libimobiledevice4-dbg

override_dh_python2:
	# Only build for the current version of python, not all supported.
	dh_python2 --no-guessing-versions

override_dh_makeshlibs:
	dh_makeshlibs -- -c4
